diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/test/dsdv-testcase.cc ns-3.44/src/dsdv/test/dsdv-testcase.cc
--- ns-3.43/src/dsdv/test/dsdv-testcase.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/test/dsdv-testcase.cc	2025-03-09 16:55:49.371371000 -0700
@@ -34,15 +34,15 @@
 using namespace ns3;
 
 /**
- * \ingroup dsdv
- * \ingroup tests
- * \defgroup dsdv-test DSDV module tests
+ * @ingroup dsdv
+ * @ingroup tests
+ * @defgroup dsdv-test DSDV module tests
  */
 
 /**
- * \ingroup dsdv-test
+ * @ingroup dsdv-test
  *
- * \brief DSDV test case to verify the DSDV header
+ * @brief DSDV test case to verify the DSDV header
  *
  */
 class DsdvHeaderTestCase : public TestCase
@@ -98,9 +98,9 @@
 }
 
 /**
- * \ingroup dsdv-test
+ * @ingroup dsdv-test
  *
- * \brief DSDV routing table tests (adding and looking up routes)
+ * @brief DSDV routing table tests (adding and looking up routes)
  */
 class DsdvTableTestCase : public TestCase
 {
@@ -199,9 +199,9 @@
 }
 
 /**
- * \ingroup dsdv-test
+ * @ingroup dsdv-test
  *
- * \brief DSDV test suite
+ * @brief DSDV test suite
  */
 class DsdvTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/doc/dsr.h ns-3.44/src/dsr/doc/dsr.h
--- ns-3.43/src/dsr/doc/dsr.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/doc/dsr.h	2025-03-09 16:55:49.371371000 -0700
@@ -21,7 +21,7 @@
 #define DSR_H
 
 /**
- * \defgroup dsr DSR Routing
+ * @defgroup dsr DSR Routing
  *
  * This section documents the API of the ns-3 DSR module. For a
  * generic functional description, please refer to the ns-3 model
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/examples/dsr-example.cc ns-3.44/src/dsr/examples/dsr-example.cc
--- ns-3.43/src/dsr/examples/dsr-example.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/examples/dsr-example.cc	2025-03-09 16:55:49.371371000 -0700
@@ -183,7 +183,7 @@
         PacketSinkHelper sink("ns3::UdpSocketFactory",
                               InetSocketAddress(Ipv4Address::GetAny(), port));
         ApplicationContainer apps_sink = sink.Install(adhocNodes.Get(i));
-        apps_sink.Start(Seconds(0.0));
+        apps_sink.Start(Seconds(0));
         apps_sink.Stop(Seconds(TotalTime));
 
         OnOffHelper onoff1("ns3::UdpSocketFactory",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/helper/dsr-helper.h ns-3.44/src/dsr/helper/dsr-helper.h
--- ns-3.43/src/dsr/helper/dsr-helper.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/helper/dsr-helper.h	2025-03-09 16:55:49.371371000 -0700
@@ -32,9 +32,9 @@
 {
 
 /**
- * \ingroup dsr
+ * @ingroup dsr
  *
- * \brief DSR helper class to manage creation of DSR routing instance and
+ * @brief DSR helper class to manage creation of DSR routing instance and
  *        to insert it on a node as a sublayer between transport and
  *        IP layers.
  */
@@ -52,27 +52,27 @@
     DsrHelper& operator=(const DsrHelper&) = delete;
 
     /**
-     * \brief Construct an DsrHelper from another previously initialized instance
+     * @brief Construct an DsrHelper from another previously initialized instance
      * (Copy Constructor).
-     * \param o object to copy from
+     * @param o object to copy from
      */
     DsrHelper(const DsrHelper& o);
     /**
-     * \returns pointer to clone of this DsrHelper
+     * @returns pointer to clone of this DsrHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
      */
     DsrHelper* Copy() const;
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created L4 protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created L4 protocol
      */
     Ptr<ns3::dsr::DsrRouting> Create(Ptr<Node> node) const;
     /**
      * Set attribute values for future instances of DSR that this helper creates
-     * \param name the node on which the routing protocol will run
-     * \param value newly-created L4 protocol
+     * @param name the node on which the routing protocol will run
+     * @param value newly-created L4 protocol
      */
     void Set(std::string name, const AttributeValue& value);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/helper/dsr-main-helper.h ns-3.44/src/dsr/helper/dsr-main-helper.h
--- ns-3.43/src/dsr/helper/dsr-main-helper.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/helper/dsr-main-helper.h	2025-03-09 16:55:49.371371000 -0700
@@ -31,9 +31,9 @@
 {
 
 /**
- * \ingroup dsr
+ * @ingroup dsr
  *
- * \brief Helper class that adds DSR routing to nodes.
+ * @brief Helper class that adds DSR routing to nodes.
  */
 class DsrMainHelper
 {
@@ -45,34 +45,34 @@
     DsrMainHelper();
     ~DsrMainHelper();
     /**
-     * \brief Construct an DsrMainHelper from another previously initialized instance
+     * @brief Construct an DsrMainHelper from another previously initialized instance
      * (Copy Constructor).
-     * \param o object to copy from
+     * @param o object to copy from
      */
     DsrMainHelper(const DsrMainHelper& o);
     /**
      * Install routing to the nodes
-     * \param dsrHelper The DSR helper class
-     * \param nodes the collection of nodes
+     * @param dsrHelper The DSR helper class
+     * @param nodes the collection of nodes
      */
     void Install(DsrHelper& dsrHelper, NodeContainer nodes);
     /**
      * Set the helper class
-     * \param dsrHelper the DSR helper class
+     * @param dsrHelper the DSR helper class
      */
     void SetDsrHelper(DsrHelper& dsrHelper);
 
   private:
     /**
      * Install routing to a node
-     * \param node the node to install DSR routing
+     * @param node the node to install DSR routing
      */
     void Install(Ptr<Node> node);
     /**
-     * \brief Assignment operator declared private and not implemented to disallow
+     * @brief Assignment operator declared private and not implemented to disallow
      * assignment and prevent the compiler from happily inserting its own.
-     * \param o source object to assign
-     * \return DsrHelper object
+     * @param o source object to assign
+     * @return DsrHelper object
      */
     DsrMainHelper& operator=(const DsrMainHelper& o);
     const DsrHelper* m_dsrHelper; ///< helper class
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-errorbuff.cc ns-3.44/src/dsr/model/dsr-errorbuff.cc
--- ns-3.43/src/dsr/model/dsr-errorbuff.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-errorbuff.cc	2025-03-09 16:55:49.371371000 -0700
@@ -53,7 +53,7 @@
                                  << " dst " << i->GetDestination() << " "
                                  << entry.GetDestination());
 
-        /// \todo check the source and destination over here
+        /// @todo check the source and destination over here
         if ((i->GetPacket()->GetUid() == entry.GetPacket()->GetUid()) &&
             (i->GetSource() == entry.GetSource()) && (i->GetNextHop() == entry.GetSource()) &&
             (i->GetDestination() == entry.GetDestination()))
@@ -146,14 +146,14 @@
 struct IsExpired
 {
     /**
-     * \brief comparison operator
-     * \param e entry to compare
-     * \return true if entry expired
+     * @brief comparison operator
+     * @param e entry to compare
+     * @return true if entry expired
      */
     bool operator()(const DsrErrorBuffEntry& e) const
     {
         // NS_LOG_DEBUG("Expire time for packet in req queue: "<<e.GetExpireTime ());
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-errorbuff.h ns-3.44/src/dsr/model/dsr-errorbuff.h
--- ns-3.43/src/dsr/model/dsr-errorbuff.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-errorbuff.h	2025-03-09 16:55:49.371371000 -0700
@@ -30,8 +30,8 @@
 namespace dsr
 {
 /**
- * \ingroup dsr
- * \brief DSR Error Buffer Entry
+ * @ingroup dsr
+ * @brief DSR Error Buffer Entry
  */
 class DsrErrorBuffEntry
 {
@@ -39,12 +39,12 @@
     /**
      * Create an DsrErrorBuffEntry with the given parameters.
      *
-     * \param pa packet
-     * \param d IPv4 address of the destination
-     * \param s IPv4 address of the source
-     * \param n IPv4 address of the next hop
-     * \param exp expiration time
-     * \param p protocol number
+     * @param pa packet
+     * @param d IPv4 address of the destination
+     * @param s IPv4 address of the source
+     * @param n IPv4 address of the next hop
+     * @param exp expiration time
+     * @param p protocol number
      */
     DsrErrorBuffEntry(Ptr<const Packet> pa = nullptr,
                       Ipv4Address d = Ipv4Address(),
@@ -63,8 +63,8 @@
 
     /**
      * Compare send buffer entries
-     * \param o another DsrErrorBuffEntry
-     * \return true if equal
+     * @param o another DsrErrorBuffEntry
+     * @return true if equal
      */
     bool operator==(const DsrErrorBuffEntry& o) const
     {
@@ -75,7 +75,7 @@
     // Fields
     /**
      * Get packet from entry
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -84,7 +84,7 @@
 
     /**
      * Set packet for entry
-     * \param p the packet
+     * @param p the packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -93,7 +93,7 @@
 
     /**
      * Get destination address
-     * \returns the destination IPv4 address
+     * @returns the destination IPv4 address
      */
     Ipv4Address GetDestination() const
     {
@@ -102,7 +102,7 @@
 
     /**
      * Set destination address
-     * \param d the destination IPv4 address
+     * @param d the destination IPv4 address
      */
     void SetDestination(Ipv4Address d)
     {
@@ -111,7 +111,7 @@
 
     /**
      * Get source address
-     * \returns the source IPv4 address
+     * @returns the source IPv4 address
      */
     Ipv4Address GetSource() const
     {
@@ -120,7 +120,7 @@
 
     /**
      * Set source address
-     * \param s the source IPv4 address
+     * @param s the source IPv4 address
      */
     void SetSource(Ipv4Address s)
     {
@@ -129,7 +129,7 @@
 
     /**
      * Get next hop
-     * \returns the next hop address
+     * @returns the next hop address
      */
     Ipv4Address GetNextHop() const
     {
@@ -138,7 +138,7 @@
 
     /**
      * Set next hop
-     * \param n the next hop IPv4 address
+     * @param n the next hop IPv4 address
      */
     void SetNextHop(Ipv4Address n)
     {
@@ -147,7 +147,7 @@
 
     /**
      * Set expire time
-     * \param exp the expire time
+     * @param exp the expire time
      */
     void SetExpireTime(Time exp)
     {
@@ -156,7 +156,7 @@
 
     /**
      * Get expire time
-     * \returns the expire time
+     * @returns the expire time
      */
     Time GetExpireTime() const
     {
@@ -165,7 +165,7 @@
 
     /**
      * Set protocol number
-     * \param p the protocol number
+     * @param p the protocol number
      */
     void SetProtocol(uint8_t p)
     {
@@ -174,7 +174,7 @@
 
     /**
      * Get protocol number
-     * \returns the protocol number
+     * @returns the protocol number
      */
     uint8_t GetProtocol() const
     {
@@ -197,8 +197,8 @@
 };
 
 /**
- * \ingroup dsr
- * \brief DSR error buffer
+ * @ingroup dsr
+ * @brief DSR error buffer
  */
 /************************************************************************************************************************/
 class DsrErrorBuffer
@@ -215,39 +215,39 @@
      * Push entry in queue, if there is no entry with the same packet and destination address in
      * queue.
      *
-     * \param entry error buffer entry
-     * \return true if entry added
+     * @param entry error buffer entry
+     * @return true if entry added
      */
     bool Enqueue(DsrErrorBuffEntry& entry);
     /**
      * Return first found (the earliest) entry for given destination
-     * \param [in] dst The destination to look for
-     * \param [out] entry The entry
-     * \return true if an entry is found
+     * @param [in] dst The destination to look for
+     * @param [out] entry The entry
+     * @return true if an entry is found
      */
     bool Dequeue(Ipv4Address dst, DsrErrorBuffEntry& entry);
     /**
      * Remove all packets with the error link
-     * \param source The source
-     * \param nextHop The next hop
+     * @param source The source
+     * @param nextHop The next hop
      */
     void DropPacketForErrLink(Ipv4Address source, Ipv4Address nextHop);
     /**
      * Finds whether a packet with destination dst exists in the queue
-     * \param dst The destination
-     * \return true if a packet is found.
+     * @param dst The destination
+     * @return true if a packet is found.
      */
     bool Find(Ipv4Address dst);
     /**
      * Returns the number of entries in the queue.
-     * \return the number of entries in the queue.
+     * @return the number of entries in the queue.
      */
     uint32_t GetSize();
 
     // Fields
     /**
      * Get maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -256,7 +256,7 @@
 
     /**
      * Set maximum queue length
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -265,7 +265,7 @@
 
     /**
      * Get error buffer timeout
-     * \returns the error buffer timeout
+     * @returns the error buffer timeout
      */
     Time GetErrorBufferTimeout() const
     {
@@ -274,7 +274,7 @@
 
     /**
      * Set error buffer timeout
-     * \param t the error buffer timeout
+     * @param t the error buffer timeout
      */
     void SetErrorBufferTimeout(Time t)
     {
@@ -283,7 +283,7 @@
 
     /**
      * Get error buffer entry
-     * \returns the DSR error buffer
+     * @returns the DSR error buffer
      */
     std::vector<DsrErrorBuffEntry>& GetBuffer()
     {
@@ -297,15 +297,15 @@
     void Purge();
     /**
      * Notify that packet is dropped from queue by timeout
-     * \param en Error Buffer Entry
-     * \param reason Drop reason.
+     * @param en Error Buffer Entry
+     * @param reason Drop reason.
      */
     ///
     void Drop(DsrErrorBuffEntry en, std::string reason);
     /**
      * Notify that packet is dropped from queue by link error
-     * \param en Error Buffer Entry
-     * \param reason Drop reason.
+     * @param en Error Buffer Entry
+     * @param reason Drop reason.
      */
     void DropLink(DsrErrorBuffEntry en, std::string reason);
     /// The maximum number of packets that we allow a routing protocol to buffer.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-fs-header.h ns-3.44/src/dsr/model/dsr-fs-header.h
--- ns-3.43/src/dsr/model/dsr-fs-header.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-fs-header.h	2025-03-09 16:55:49.371371000 -0700
@@ -34,13 +34,13 @@
 namespace dsr
 {
 /**
- * \class DsrHeader
- * \brief Header for Dsr Routing.
+ * @class DsrHeader
+ * @brief Header for Dsr Routing.
  */
 
 /**
-* \ingroup dsr
-* \brief Dsr fixed size header Format
+* @ingroup dsr
+* @brief Dsr fixed size header Format
   \verbatim
    |      0        |      1        |      2        |      3        |
    0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7
@@ -53,8 +53,8 @@
 */
 
 /**
-* \ingroup dsr
-* \brief The modified version of Dsr fixed size header Format
+* @ingroup dsr
+* @brief The modified version of Dsr fixed size header Format
   \verbatim
    |      0        |      1        |      2        |      3        |
    0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7 0 1 2 3 4 5 6 7
@@ -71,125 +71,125 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrFsHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrFsHeader() override;
     /**
-     * \brief Set the "Next header" field.
-     * \param protocol the next header number
+     * @brief Set the "Next header" field.
+     * @param protocol the next header number
      */
     void SetNextHeader(uint8_t protocol);
     /**
-     * \brief Get the next header.
-     * \return the next header number
+     * @brief Get the next header.
+     * @return the next header number
      */
     uint8_t GetNextHeader() const;
     /**
      * brief Set the message type of the header.
-     * \param messageType the message type of the header
+     * @param messageType the message type of the header
      */
     void SetMessageType(uint8_t messageType);
     /**
      * brief Get the message type of the header.
-     * \return message type the message type of the header
+     * @return message type the message type of the header
      */
     uint8_t GetMessageType() const;
     /**
      * brief Set the source ID of the header.
-     * \param sourceId the source ID of the header
+     * @param sourceId the source ID of the header
      */
     void SetSourceId(uint16_t sourceId);
     /**
      * brief Get the source ID of the header.
-     * \return source ID the source ID of the header
+     * @return source ID the source ID of the header
      */
     uint16_t GetSourceId() const;
     /**
      * brief Set the dest ID of the header.
-     * \param destId the destination ID of the header
+     * @param destId the destination ID of the header
      */
     void SetDestId(uint16_t destId);
     /**
      * brief Get the dest ID of the header.
-     * \return dest ID the dest ID of the header
+     * @return dest ID the dest ID of the header
      */
     uint16_t GetDestId() const;
     /**
      * brief Set the payload length of the header.
-     * \param length the payload length of the header in bytes
+     * @param length the payload length of the header in bytes
      */
     void SetPayloadLength(uint16_t length);
     /**
-     * \brief Get the payload length of the header.
-     * \return the payload length of the header
+     * @brief Get the payload length of the header.
+     * @return the payload length of the header
      */
     uint16_t GetPayloadLength() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
   private:
     /**
-     * \brief The "next header" field.
+     * @brief The "next header" field.
      */
     uint8_t m_nextHeader;
     /**
-     * \brief The type of the message.
+     * @brief The type of the message.
      */
     uint8_t m_messageType;
     /**
-     * \brief The "payload length" field.
+     * @brief The "payload length" field.
      */
     uint16_t m_payloadLen;
     /**
-     * \brief The source node id
+     * @brief The source node id
      */
     uint16_t m_sourceId;
     /**
-     * \brief The destination node id
+     * @brief The destination node id
      */
     uint16_t m_destId;
     /**
-     * \brief The data of the extension.
+     * @brief The data of the extension.
      */
     Buffer m_data;
 };
 
 /**
- * \class DsrOptionField
- * \brief Option field for an DsrFsHeader
+ * @class DsrOptionField
+ * @brief Option field for an DsrFsHeader
  * Enables adding options to an DsrFsHeader
  *
  * Implementor's note: Make sure to add the result of
@@ -201,109 +201,109 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param optionsOffset option offset
+     * @brief Constructor.
+     * @param optionsOffset option offset
      */
     DsrOptionField(uint32_t optionsOffset);
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionField();
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const;
     /**
-     * \brief Serialize all added options.
-     * \param start Buffer iterator
+     * @brief Serialize all added options.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \param length length
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @param length length
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start, uint32_t length);
     /**
-     * \brief Serialize the option, prepending pad1 or padn option as necessary
-     * \param option the option header to serialize
+     * @brief Serialize the option, prepending pad1 or padn option as necessary
+     * @param option the option header to serialize
      */
     void AddDsrOption(const DsrOptionHeader& option);
     /**
-     * \brief Get the offset where the options begin, measured from the start of
+     * @brief Get the offset where the options begin, measured from the start of
      * the extension header.
-     * \return the offset from the start of the extension header
+     * @return the offset from the start of the extension header
      */
     uint32_t GetDsrOptionsOffset() const;
     /**
-     * \brief Get the buffer.
-     * \return buffer
+     * @brief Get the buffer.
+     * @return buffer
      */
     Buffer GetDsrOptionBuffer();
 
   private:
     /**
-     * \brief Calculate padding.
-     * \param alignment alignment
-     * \return the number of bytes required to pad
+     * @brief Calculate padding.
+     * @param alignment alignment
+     * @return the number of bytes required to pad
      */
     uint32_t CalculatePad(DsrOptionHeader::Alignment alignment) const;
     /**
-     * \brief Data payload.
+     * @brief Data payload.
      */
     Buffer m_optionData;
     /**
-     * \brief Offset.
+     * @brief Offset.
      */
     uint32_t m_optionsOffset;
 };
 
 /**
- * \class DsrRoutingHeader
- * \brief Header of Dsr Routing
+ * @class DsrRoutingHeader
+ * @brief Header of Dsr Routing
  */
 class DsrRoutingHeader : public DsrFsHeader, public DsrOptionField
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrRoutingHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrRoutingHeader() override;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-gratuitous-reply-table.h ns-3.44/src/dsr/model/dsr-gratuitous-reply-table.h
--- ns-3.43/src/dsr/model/dsr-gratuitous-reply-table.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-gratuitous-reply-table.h	2025-03-09 16:55:49.371371000 -0700
@@ -45,9 +45,9 @@
     /**
      * Constructor
      *
-     * \param t IPv4 address to reply to
-     * \param f IPv4 address to hear from
-     * \param h gratuitous hold off time
+     * @param t IPv4 address to reply to
+     * @param f IPv4 address to hear from
+     * @param h gratuitous hold off time
      */
     GraReplyEntry(Ipv4Address t, Ipv4Address f, Time h)
         : m_replyTo(t),
@@ -58,15 +58,15 @@
 };
 
 /**
- * \ingroup dsr
- * \brief maintain the gratuitous reply
+ * @ingroup dsr
+ * @brief maintain the gratuitous reply
  */
 class DsrGraReply : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -74,28 +74,28 @@
     ~DsrGraReply() override;
 
     /// Set the gratuitous reply table size
-    /// \param g The gratuitous reply table size
+    /// @param g The gratuitous reply table size
     void SetGraTableSize(uint32_t g)
     {
         GraReplyTableSize = g;
     }
 
     /// Get the gratuitous reply table size
-    /// \returns The gratuitous reply table size
+    /// @returns The gratuitous reply table size
     uint32_t GetGraTableSize() const
     {
         return GraReplyTableSize;
     }
 
     /// Add a new gratuitous reply entry
-    /// \param graTableEntry The gratuitous reply entry
-    /// \return true on success
+    /// @param graTableEntry The gratuitous reply entry
+    /// @return true on success
     bool AddEntry(GraReplyEntry& graTableEntry);
     /// Update the route entry if found
-    /// \param replyTo Entry directed to
-    /// \param replyFrom Entry heard from
-    /// \param gratReplyHoldoff New gratuitous reply holdoff time
-    /// \return true on success
+    /// @param replyTo Entry directed to
+    /// @param replyFrom Entry heard from
+    /// @param gratReplyHoldoff New gratuitous reply holdoff time
+    /// @return true on success
     bool FindAndUpdate(Ipv4Address replyTo, Ipv4Address replyFrom, Time gratReplyHoldoff);
     /// Remove all expired entries
     void Purge();
@@ -118,8 +118,8 @@
         /**
          * Check if the entry is expired
          *
-         * \param b GraReplyEntry entry
-         * \return true if expired, false otherwise
+         * @param b GraReplyEntry entry
+         * @return true if expired, false otherwise
          */
         bool operator()(const GraReplyEntry& b) const
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-maintain-buff.cc ns-3.44/src/dsr/model/dsr-maintain-buff.cc
--- ns-3.43/src/dsr/model/dsr-maintain-buff.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-maintain-buff.cc	2025-03-09 16:55:49.371371000 -0700
@@ -221,14 +221,14 @@
 struct IsExpired
 {
     /**
-     * \brief comparison operator
-     * \param e maintain buffer entry
-     * \return true if the entry is expired
+     * @brief comparison operator
+     * @param e maintain buffer entry
+     * @return true if the entry is expired
      */
     bool operator()(const DsrMaintainBuffEntry& e) const
     {
         // NS_LOG_DEBUG("Expire time for packet in req queue: "<<e.GetExpireTime ());
-        return (e.GetExpireTime() < Seconds(0));
+        return (e.GetExpireTime().IsStrictlyNegative());
     }
 };
 
